<!doctype html>
  <head>
    <meta charset="utf-8">
    <title>{% block title %}{% endblock %}</title>

    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
  </head>
<body>

  <!-- Wrap all page content here -->
  <div id="wrap">

    <!-- Begin page content -->
    <main id="content" role="main" class="container">

      {% with messages = get_flashed_messages(with_categories=true) %}
      <!-- Categories: success (green), info (blue), warning (yellow), danger (red) -->
        {% if messages %}
          {% for category, message in messages %}
            <div class="alert alert-{{ category }} alert-dismissible fade show" role="alert">
              <strong>{{ message }}</strong>
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
            {% endfor %}
        {% endif %}
      {% endwith %}

      {% block content %}{% endblock %}
      
    </main>

  </div>

  <div id="footer">
    <div class="container">
      <p>Zenko All Rights Reserved.</p>
      {% block footer %}{% endblock %}
    </div>

  </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe" crossorigin="anonymous"></script>
</body>
</html>
